libzypp 17.37.10

zyppng::worker::AuthInfo Struct Reference

`#include <zypp-media/ng/worker/provideworker.h>`

## Public Attributes
std::string | username
std::string | password
int64_t | last_auth_timestamp = 0
std::map< std::string, std::string > | extraKeys = {}

## Detailed Description

Definition at line 33 of file provideworker.h.

## Member Data Documentation

## ◆ username

std::string zyppng::worker::AuthInfo::username

Definition at line 35 of file provideworker.h.

## ◆ password

std::string zyppng::worker::AuthInfo::password

Definition at line 36 of file provideworker.h.

## ◆ last_auth_timestamp

int64_t zyppng::worker::AuthInfo::last_auth_timestamp = 0

Definition at line 37 of file provideworker.h.

## ◆ extraKeys

std::map<std::string, std::string> zyppng::worker::AuthInfo::extraKeys = {}

Definition at line 38 of file provideworker.h.

The documentation for this struct was generated from the following file:

- zypp-media/ng/worker/provideworker.h